Skip to content

OLT ONU Management ​

11 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
editOnuGlobalConfigStatusPOSTModify an existing ONU global config status
getOnuGlobalConfigStatusGETGet ONU global config status
editOnuIsolationStatusPOSTModify an existing ONU isolation status
getOnuIsolationStatusGETGet ONU isolation status
editOnuInformationAdminStatusConfigPOSTModify an existing ONU admin status config
editOnuInformationDescriptionConfigPOSTModify an existing ONU description
getOnuInformationDetailGETGet ONU information detail
getOnuInformationConfigListGETGet ONU information config list
rebootOnuPOSTReboot ONU
getOnuInformationConfigPageGETGet ONU information config page
getOnuRebootStatusConfigListGETGet ONU reboot status

editOnuGlobalConfigStatus ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/global-config/edit

Modify an existing ONU global config status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OnuGlobalConfigStatusEditDTO

FieldTypeRequiredDescription
onuIsolationstringyesWhether to enable ONU isolation,onuIsolation should be a value as follows:ENABLE,DISABLE
json
// omada_call_operation
{
  "operationId": "editOnuGlobalConfigStatus",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ONU global config status
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuGlobalConfigStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/global-config/get

Get ONU global config status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getOnuGlobalConfigStatus",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU global config status
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editOnuIsolationStatus ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/global-config/isolation/edit

Modify an existing ONU isolation status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OnuIsolationStatusDTO

FieldTypeRequiredDescription
isolateAllVlanstringnoWhether to isolate all ONUs within the VLANs.IsolateAllVlan should be a value as follows:DISABLE,ENABLE.Effective only when onuIsolation is set to ENABLE.
vlanListstringnovlanList should be a value as follows: "1,3-5,7".Effective only when onuIsolation is ENABLE and isolateAllVlan is DISABLE.
onuIsolationstringno
json
// omada_call_operation
{
  "operationId": "editOnuIsolationStatus",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ONU isolation status
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuIsolationStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/global-config/isolation/get

Get ONU isolation status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getOnuIsolationStatus",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU isolation status
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editOnuInformationAdminStatusConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/informations/admin/edit

Modify an existing ONU admin status config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OnuInformationAdminStatusEditConfigDTO

FieldTypeRequiredDescription
keysarray<string>yesONU identifier list
adminStatusstringyesAdmin status should be a value as follows:ACTIVATE,DEACTIVATE
json
// omada_call_operation
{
  "operationId": "editOnuInformationAdminStatusConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ONU admin status config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editOnuInformationDescriptionConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/informations/description/edit

Modify an existing ONU description

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OnuInformationDescriptionEditConfigDTO

FieldTypeRequiredDescription
keystringyesIdentifier of ONU
onuDescriptionstringyesONU description should contain 1 to 32 characters, including uppercase and lowercase letters, numbers, and the symbols -@_😕.
json
// omada_call_operation
{
  "operationId": "editOnuInformationDescriptionConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify an existing ONU description
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuInformationDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/informations/detail/get

Get ONU information detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryOnuInfoDetailRequestDTOnoObject: its fields (key) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOnuInformationDetail",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU information detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuInformationConfigList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/informations/list

Get ONU information config list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryOnuManagementListQueryRequestDTOnoObject: its fields (searchKey, sorts, searchFields, ponPort) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOnuInformationConfigList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU information config list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

rebootOnu ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/informations/onu/reboot

Reboot ONU

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OnuInformationRebootRequestDTO

FieldTypeRequiredDescription
rebootRequestListarray<SingleOnuRebootRequestDTO>yesReboot request list
json
// omada_call_operation
{
  "operationId": "rebootOnu",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Reboot ONU
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45007 - The deviceResponseBody returned by the device has an error code other than 0

getOnuInformationConfigPage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/informations/page

Get ONU information config page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryOnuManagementPageQueryRequestDTOnoObject: its fields (searchKey, sorts, size, number, searchFields, ponPort) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getOnuInformationConfigPage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU information config page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOnuRebootStatusConfigList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/onu-management/informations/reboot-status/list

Get ONU reboot status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getOnuRebootStatusConfigList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ONU reboot status
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.